routes/web.php
<?php

//    use App\User;

//    use App\News;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

//    Route::group(['middleware' => ['web']], function () {
        Auth::routes();
//    });
Route::get('/', 'WelcomeController@index')->name('home');
    Route::post('/feedback', 'WelcomeController@feedback')->name('feedback');
Route::group(['middleware' => ['web'], 'prefix' => 'admin'], function (){

    Route::group(['namespace' => '\Inani\Larapoll\Http\Controllers'], function(){

        Route::middleware(["role:author,editor,admin,super_admin"])->group(function () {
            Route::get('/polls', ['uses' => 'PollManagerController@index', 'as' => 'poll.index']);
            Route::get('/polls/home', ['uses' => 'PollManagerController@home', 'as' => 'poll.home']);
            Route::get('/polls/create', ['uses' => 'PollManagerController@create', 'as' => 'poll.create']);
            Route::get('/polls/{poll}', ['uses' => 'PollManagerController@edit', 'as' => 'poll.edit']);
            Route::patch('/polls/{poll}', ['uses' => 'PollManagerController@update', 'as' => 'poll.update']);
            Route::delete('/polls/{poll}', ['uses' => 'PollManagerController@remove', 'as' => 'poll.remove']);
            Route::patch('/polls/{poll}/lock', ['uses' => 'PollManagerController@lock', 'as' => 'poll.lock']);
            Route::patch('/polls/{poll}/unlock', ['uses' => 'PollManagerController@unlock', 'as' => 'poll.unlock']);
            Route::post('/polls', ['uses' => 'PollManagerController@store', 'as' => 'poll.store']);
            Route::get('/polls/{poll}/options/add', ['uses' => 'OptionManagerController@push', 'as' => 'poll.options.push']);
            Route::post('/polls/{poll}/options/add', ['uses' => 'OptionManagerController@add', 'as' => 'poll.options.add']);
            Route::get('/polls/{poll}/options/remove', ['uses' => 'OptionManagerController@delete', 'as' => 'poll.options.remove']);
            Route::delete('/polls/{poll}/options/remove', ['uses' => 'OptionManagerController@remove', 'as' => 'poll.options.remove']);
        });

        Route::post('/vote/polls/{poll}', 'VoteManagerController@vote')->name('poll.vote');
    });


    Route::get('/', 'HomeController@index')->name('admin');
//    Route::get('/admin/chart', 'HomeController@chart')->name('admin.chart');
//    Route::get('/admin/users/{user}/reset', 'UsersController@resetscore')->name('admin.score.reset')->middleware('role:user,super_user,admin,super_admin');

//    Route::group(['middleware' => ['pay,role:super_admin']], function () {
//        Route::get('/admin/users/{user}/parent/add', 'UsersController@parentScoreAdd')->name('admin.score.add');
//        Route::get('/admin/users/{user}/parent/remove', 'UsersController@parentScoreRemove')->name('admin.score.remove');
//        Route::get('/admin/users/{user}/parent/score/{score}', 'UsersController@parentScoreToChild')->name('parent.score');
//    });

//    Route::put('/admin/users/{user}/assign', 'UsersController@assigned')->name('users.assigned')->middleware('role:super_user,author,editor,admin,super_admin');
//    Route::get('/admin/users/{user}/assign', 'UsersController@assign')->name('users.assign')->middleware('role:super_user,author,editor,admin,super_admin');

//    Route::put('/exams/{test}/assigned_pupil', 'UsersController@assigned_pupil')->name('users.assigned.pupil')->middleware('role:super_user,author,editor,admin,super_admin');
//    Route::get('/exams/{test}/assign_pupil', 'UsersController@assign_pupil')->name('users.assign.pupil')->middleware('role:super_user,author,editor,admin,super_admin');

    Route::resource('/pages', 'PagesController')->middleware('role:author,editor,admin,super_admin');
    Route::resource('/news', 'NewsController')->middleware('role:author,editor,admin,super_admin');

    Route::resource('/users', 'UsersController')->except('create,destroy')->middleware('role:author,editor,admin,super_admin');

    Route::get('/profile', 'UsersController@editCurrent')->name('profile.edit')->middleware('auth');
    Route::put('/profile', 'UsersController@updateCurrent')->name('profile.update')->middleware('auth');

    Route::resource('/adress', 'AdressController')->except('create,destroy')->middleware('role:author,editor,admin,super_admin');


    Route::get('/users/new', 'UsersController@create')->middleware('role:admin,super_admin');

    Route::delete('/users/{user}', 'UsersController@destroy')->name('users.destroy')->middleware('role:admin,super_admin');
    Route::resource('/roles', 'RolesController')->middleware('role:super_admin');
    Route::resource('/topics', 'TopicController')->middleware('role:admin,super_admin');

//    Route::resource('/admin/tests', 'TestsController')->middleware('role:super_user,author,editor,admin,super_admin');

//    Route::resource('/admin/questions', 'QuestionController')->except('index,create')->middleware('role:author,editor,admin,super_admin');
//    Route::get('/admin/questions/create/{test_id}', 'QuestionController@create')->name('questions.create')->middleware('role:author,editor,admin,super_admin');

//    Route::resource('/admin/answers', 'AnswerController')->except('index,create')->middleware('role:author,editor,admin,super_admin');
//    Route::get('/admin/answers/create/{question_id}', 'AnswerController@create')->name('answers.create')->middleware('role:author,editor,admin,super_admin');

//    Route::get('/testing/exams', 'TestStartController@list')->name('exams.list')->middleware('role:super_user,admin,super_admin');
//    Route::get('/testing/exams/result/{id}', function ($id) {
//        $test = \App\TestCompleted::find($id);
//        return view('tests.result', ['test' => $test]);
//    })->name('exams.result');//->middleware('role:super_user,admin,super_admin');
//    Route::post('/testing/exams/{id}/control', 'TestStartController@control')->name('exams.control')->middleware('role:super_user,admin,super_admin');//->middleware('avaible.test');
//    Route::get('/testing/exams/{id}/start', 'TestStartController@execute')->name('exams.start')->middleware('role:super_user,admin,super_admin');//->middleware('avaible.test');
});
//=======================================================
//Route::get('clear-cache', function() {
//
//    Artisan::call('cache:clear');
//    return "Кэш очищен!";
//
//});

//Route::get('lang/{locale}', function ($locale) {
//
//    if (in_array($locale, \Config::get('app.locales'))) {
//        Session::put('locale', $locale);
//    }
//
//    return redirect()->back();
//
//});
//    Route::get('contact', function () {
//        return view('contact');
//    })->name('contact');
//    ===========================================
Route::get('{slug}', 'PagesController@showBySlug')->name('pages.slug');
Route::get('news/{slug}', 'NewsController@showBySlug')->name('news.slug');
//Route::get('contact', function () {
//    return view('contact');
//})->name('contact');


//
//Route::get('url/generate-shorten-link', 'ShortLinkController@index')->middleware('role:admin,super_admin');
//Route::post('url/generate-shorten-link', 'ShortLinkController@store')->name('generate.shorten.link.post')->middleware('role:admin,super_admin');
//
//Route::get('url/{code}', 'ShortLinkController@shortenLink')->name('shorten.link')->middleware('role:user');

resources/views/pages/create.blade.php
@extends('layouts.admin')

@section('sidebar')
    @parent

@stop

@section('content')
    <section class="admin-panel-content">
        {{--        <form class="admin-panel-content__search">--}}
        {{--            <input type="text" placeholder="Поиск...">--}}
        {{--        </form>--}}
        <div class="admin-panel-section admin-panel-article-edit">
            {!! Form::open(['route' => ['pages.store', old('id')], 'method' => 'POST', 'id' => 'formPublish']) !!}
            <div class="admin-panel-section__heading">
                <div class="select admin-panel-article-edit__select">

                </div>
                <a href="#" class="admin-panel__prorogue"> </a>
                <button type="submit" class="admin-panel__publish btn btn--blue">Опубликовать</button>
            </div>
            <div class="admin-panel-section__content admin-panel-new-ntf__area">
                <div class="input-module admin-panel-new-ntf__area-title">
                    <div class="input-module__inner">
                        <label for="in1">Заголовок</label>
                        <div class="input-module__inner-area"><input name="title" value="{{ old('title') }}" type="text" class="input"></div>
                        <span></span>
                    </div>
                </div>
                <div class="input-module input-module--textarea admin-panel-new-ntf__area-mess">
                    <div class="input-module__inner">
                        <label for="in3">Текст оповещения</label>
                        <div class="input-module__inner-area">
                            <textarea name="description" value="{{ old('description') }}" class="autoheight__inner" maxlength="200" style="height: 36px;"></textarea>
                            <div class="input-module__inner-area-counter">
                                <div>19</div>/200
                            </div>
                        </div>
                        <span></span>
                    </div>
                </div>

                <div class="input-module admin-panel-new-ntf__area-title">
                    <div class="input-module__inner">
                        <label for="keywords">Ключевые слова</label>
                        <div class="input-module__inner-area">
                            <input type="text" class="form-control" name="keywords" value="{{ old('keywords') }}">
                        </div>
                        <span></span>
                    </div>
                </div>

                <div class="input-module admin-panel-new-ntf__area-title">
                    <div class="input-module__inner">
                        <label for="order">Позиция</label>
                        <div class="input-module__inner-area">
                            <input type="number" class="form-control" name="order" value="{{ old('order') }}">
                            <label for="menu_header">В меню шапки <input class="form-control" type="checkbox" name="menu_header" {{ old('menu_header') }}></label>
                            <label for="menu_footer">В меню подвала <input class="form-control" type="checkbox" name="menu_footer" {{ old('menu_footer') }}></label>
                        </div>
                    </div>
                </div>

            </div>
            <div class="admin-panel-section__content admin-panel-article-edit__area">
                <textarea id="mce_0" aria-hidden="true" name="content">{{ old('content') }}</textarea>
            </div>
            {!! Form::close() !!}
        </div>
    </section>

@stop

resources/views/pages/edit.blade.php
@extends('layouts.admin')

@section('sidebar')
    @parent

@stop

@section('content')
    <section class="admin-panel-content">
        {{--        <form class="admin-panel-content__search">--}}
        {{--            <input type="text" placeholder="Поиск...">--}}
        {{--        </form>--}}
        <div class="admin-panel-section admin-panel-article-edit">
            {!! Form::open(['route' => ['pages.update', $page->id], 'method' => 'PUT']) !!}
            <div class="admin-panel-section__heading">
                <div class="select admin-panel-article-edit__select">
{{--                    <select name="category_id" value="{{$page->category}}">--}}
{{--                        @foreach($categories as $category)--}}
{{--                            <option value="{{ $category->id }}">{{ $category->name }}</option>--}}
{{--                        @endforeach--}}
{{--                    </select>--}}
                </div>
                <a href="#" class="admin-panel__prorogue"> </a>
                <button type="submit" class="admin-panel__publish btn btn--blue">Опубликовать</button>
            </div>
            <div class="admin-panel-section__content admin-panel-new-ntf__area">
                <div class="input-module admin-panel-new-ntf__area-title">
                    <div class="input-module__inner">
                        <label for="in1">Заголовок</label>
                        <div class="input-module__inner-area"><input name="title" value="{{$page->title}}" type="text" class="input"></div>
                        <span></span>
                    </div>
                </div>
                <div class="input-module input-module--textarea admin-panel-new-ntf__area-mess">
                    <div class="input-module__inner">
                        <label for="in3">Текст оповещения</label>
                        <div class="input-module__inner-area">
                            <textarea name="description" value="{{$page->description}}" class="autoheight__inner" maxlength="200" style="height: 36px;"></textarea>
                            <div class="input-module__inner-area-counter">
                                <div>19</div>/200
                            </div>
                        </div>
                        <span></span>
                    </div>
                </div>

                <div class="input-module admin-panel-new-ntf__area-title">
                    <div class="input-module__inner">
                        <label for="keywords">Ключевые слова</label>
                        <div class="input-module__inner-area">
                            <input type="text" class="form-control" name="keywords" value="{{$page->keywords}}">
                        </div>
                        <span></span>
                    </div>
                </div>

                <div class="input-module admin-panel-new-ntf__area-title">
                    <div class="input-module__inner">
                        <label for="order">Позиция</label>
                        <div class="input-module__inner-area">
                            <input type="number" class="form-control" name="order" value="{{$page->order}}">
                            <label for="menu_header">В меню шапки <input class="form-control" type="checkbox" name="menu_header" {{$page->menu_header? 'checked':'' }}></label>
                            <label for="menu_footer">В меню подвала <input class="form-control" type="checkbox" name="menu_footer" {{$page->menu_footer? 'checked':'' }}></label>
                        </div>
                    </div>
                </div>

                <div class="admin-panel-section__content admin-panel-article-edit__area">
                    <textarea id="mce_0" aria-hidden="true" name="content">{{ $page->content }}</textarea>
                </div>
                {!! Form::close() !!}
            </div>
    </section>
@stop

resources/views/pages/index.blade.php
@extends('layouts.admin')

@section('content')

    <section class="admin-panel-content">
                <form class="admin-panel-content__search">
                    <input type="text" placeholder="Поиск...">
                </form>
        {{--        <div class="news-table">--}}
        {{--            <div class="news-table__heading">--}}
        {{--                <h3>В работе</h3>--}}
        {{--                <a href="#" class="news-table__heading-new">--}}
        {{--                    <svg class="icon icon-plus">--}}
        {{--                        <use xlink:href="/design/img/sprites/main-sprite.svg#icon-plus"></use>--}}
        {{--                    </svg>--}}
        {{--                    <span>Новая</span>--}}
        {{--                </a>--}}
        {{--            </div>--}}
        {{--            <div class="news-table-content">--}}
        {{--                <table>--}}
        {{--                    <thead>--}}
        {{--                    <tr>--}}
        {{--                        <td>Статус</td>--}}
        {{--                        <td>Заголовок</td>--}}
        {{--                        <td>Редактор</td>--}}
        {{--                        <td>Создан</td>--}}
        {{--                        <td></td>--}}
        {{--                    </tr>--}}
        {{--                    </thead>--}}
        {{--                    <tbody>--}}
        {{--                    <tr>--}}
        {{--                        <td>В работе</td>--}}
        {{--                        <td>--}}
        {{--                            <a href="#">Очень длинный заголовок, который может занимать две строки и больше</a>--}}
        {{--                            <span>О городе</span>--}}
        {{--                        </td>--}}
        {{--                        <td>--}}
        {{--                            Василий Парфенов--}}
        {{--                        </td>--}}
        {{--                        <td>22.03.2019 12:31</td>--}}
        {{--                        <td>--}}
        {{--                        <span class="news-table-more">--}}
        {{--                            <a href="#pixel" class="news-table-more__trigger">--}}
        {{--                                <svg class="icon icon-more">--}}
        {{--                                    <use xlink:href="/design/img/sprites/main-sprite.svg#icon-more"></use>--}}
        {{--                                </svg>--}}
        {{--                            </a>--}}
        {{--                            <span class="news-table-more__popup">--}}
        {{--                                <a href="#">Редактировать</a>--}}
        {{--                                <a href="#">Удалить</a>--}}
        {{--                            </span>--}}
        {{--                        </span>--}}
        {{--                        </td>--}}
        {{--                    </tr>--}}
        {{--                    <tr>--}}
        {{--                        <td>В работе</td>--}}
        {{--                        <td>--}}
        {{--                            <a href="#">Идейные соображения высшего порядка</a>--}}
        {{--                            <span>О городе</span>--}}
        {{--                        </td>--}}
        {{--                        <td>--}}
        {{--                            Василий Парфенов--}}
        {{--                        </td>--}}
        {{--                        <td>22.03.2019 12:31</td>--}}
        {{--                        <td>--}}
        {{--                        <span class="news-table-more">--}}
        {{--                            <a href="#pixel" class="news-table-more__trigger">--}}
        {{--                                <svg class="icon icon-more">--}}
        {{--                                    <use xlink:href="/design/img/sprites/main-sprite.svg#icon-more"></use>--}}
        {{--                                </svg>--}}
        {{--                            </a>--}}
        {{--                            <span class="news-table-more__popup">--}}
        {{--                                <a href="#">Редактировать</a>--}}
        {{--                                <a href="#">Удалить</a>--}}
        {{--                            </span>--}}
        {{--                        </span>--}}
        {{--                        </td>--}}
        {{--                    </tr>--}}
        {{--                    <tr>--}}
        {{--                        <td>В работе</td>--}}
        {{--                        <td>--}}
        {{--                            <a href="#">Очень длинный заголовок, который может занимать две строки и больше</a>--}}
        {{--                            <span>О городе</span>--}}
        {{--                        </td>--}}
        {{--                        <td>--}}
        {{--                            Василий Парфенов--}}
        {{--                        </td>--}}
        {{--                        <td>22.03.2019 12:31</td>--}}
        {{--                        <td>--}}
        {{--                        <span class="news-table-more">--}}
        {{--                            <a href="#pixel" class="news-table-more__trigger">--}}
        {{--                                <svg class="icon icon-more">--}}
        {{--                                    <use xlink:href="/design/img/sprites/main-sprite.svg#icon-more"></use>--}}
        {{--                                </svg>--}}
        {{--                            </a>--}}
        {{--                            <span class="news-table-more__popup">--}}
        {{--                                <a href="#">Редактировать</a>--}}
        {{--                                <a href="#">Удалить</a>--}}
        {{--                            </span>--}}
        {{--                        </span>--}}
        {{--                        </td>--}}
        {{--                    </tr>--}}
        {{--                    <tr>--}}
        {{--                        <td>В работе</td>--}}
        {{--                        <td>--}}
        {{--                            <a href="#">Очень длинный заголовок, который может занимать две строки и больше</a>--}}
        {{--                            <span>О городе</span>--}}
        {{--                        </td>--}}
        {{--                        <td>--}}
        {{--                            Василий Парфенов--}}
        {{--                        </td>--}}
        {{--                        <td>22.03.2019 12:31</td>--}}
        {{--                        <td>--}}
        {{--                        <span class="news-table-more">--}}
        {{--                            <a href="#pixel" class="news-table-more__trigger">--}}
        {{--                                <svg class="icon icon-more">--}}
        {{--                                    <use xlink:href="/design/img/sprites/main-sprite.svg#icon-more"></use>--}}
        {{--                                </svg>--}}
        {{--                            </a>--}}
        {{--                            <span class="news-table-more__popup">--}}
        {{--                                <a href="#">Редактировать</a>--}}
        {{--                                <a href="#">Удалить</a>--}}
        {{--                            </span>--}}
        {{--                        </span>--}}
        {{--                        </td>--}}
        {{--                    </tr>--}}
        {{--                    </tbody>--}}
        {{--                </table>--}}
        {{--            </div>--}}
        {{--        </div>--}}
        <div class="news-table">
            <div class="news-table__heading">
                <h3>Опубликовано</h3>
                <a href="{{ route('pages.create') }}" class="news-table__heading-new">
                    <svg class="icon icon-plus">
                        <use xlink:href="./img/sprites/main-sprite.svg#icon-plus"></use>
                    </svg>
                    <span>Новая</span>
                </a>
                {{--                <div class="select news-table__heading-sort">--}}
                {{--                    <select>--}}
                {{--                        <option>Пример 1</option>--}}
                {{--                        <option>Пример 2</option>--}}
                {{--                        <option>Пример 3</option>--}}
                {{--                    </select>--}}
                {{--                </div>--}}
            </div>
            <div class="news-table-content">
                <table>
                    <thead>
                    <tr>
                        <td>Статус</td>
                        <td>Заголовок</td>
                        <td>Редактор</td>
                        <td>Создан</td>
                        <td></td>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($pages as $page)
                        <tr>
                            <td>Опубликовано</td>
                            <td>
                                <a href="/{{ $page->slug }}">{{ $page->title }}</a>
                            </td>
                            <td>
                                {{ $page->user_id }}
                            </td>
                            <td>{{ $page->created_at }}</td>
                            <td>
                        <span class="news-table-more">
                            <a href="#pixel" class="news-table-more__trigger">
                                <svg class="icon icon-more">
                                    <use xlink:href="/design/img/sprites/main-sprite.svg#icon-more"></use>
                                </svg>
                            </a>
                            <span class="news-table-more__popup">
                                <a href="{{ route('pages.edit', $page->id) }}">Редактировать</a>
{{--                                <a href="#">Снять с публикации</a>--}}
                            </span>
                        </span>
                            </td>
                        </tr>
                    @endforeach


                    </tbody>
                </table>
            </div>
        </div>
    </section>

@endsection

resources/views/pages/list.blade.php
@extends('layouts.app')

@section('sidebar')
    @parent

@stop

@section('content')
    <div class="container-fluid">
        <h3>Опросы</h3>
        <div class="row">

            <div class="col-md-12">
                <table class="table">
                    <thread>
                        <tr>
                            <td>ID</td>
                            <td>Название</td>
                            <td>Количество</td>
                            <td>{{ __('Action') }}</td>
                        </tr>
                    </thread>
                    <tbody>

                    @foreach($pages as $page)
                        <tr>
                            <td>{{ $page->id }}</td>
                            <td>{{ $page->title }}</td>
                            <td>
                                @isset($page->questions)
                                    {{ $page->questions->count() }}
                                @endisset
                            </td>
                            <td>
                                <a class="btn btn-info" href="{{ route('page.start', $page->id) }}"><i class="fa fa-play"></i></a>
                            </td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>
@stop

resources/views/pages/view.blade.php
@extends('layouts.design')

@section('menu_left')
    @include('layouts.menu_left')
@endsection

@section('h1')
    {{ $page->title }}
@stop

@section('title')
    {{ $page->title }} - {{ config('app.name') }}
@stop

@section('keywords')
    {{ $page->keywords }}
@stop

@section('description')
    {{ $page->description }}
@stop

@section('header')
    {{ $page->header }}
@stop

@section('content')
    <h1>{{ $page->title }}</h1>
    @if(Session::has('error'))
        <span style="color: red; font-weight: bolder">{{ Session::get('error') }}</span>
        {{ Session::forget('error') }}
    @endif
    @if(Session::has('complited'))
        <span style="color: green; font-weight: bolder" id="text_complited">{{ Session::get('complited') }}</span>
        {{ Session::forget('complited') }}
    @endif
    @auth()
        @if(Auth::user()->hasRoles(['admin', 'super_admin']))
            <small>
            <a href="{{ route('pages.edit', $page->id) }}" class="btn btn--green">
{{--                <svg class="icon icon-social-twitter">--}}
{{--                    <use xlink:href="/design/img/sprites/main-sprite.svg#icon-pen"></use>--}}
{{--                </svg>--}}
                Редактировать
            </a>
            </small>
        @endif
    @endauth
    {!! $page->content !!}

@stop

@section('footer')
    {{ $page->footer }}
    <script>
        $(document).ready(function () {
            setTimeout(function () {
                $('#text_complited').fadeOut(3000);
            }, 1000);
        });

    </script>
@stop